"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const react_1 = require("react");
const FetchContext_1 = __importDefault(require("./FetchContext"));
function useRequestInit(urlOrOptions, optionsNoURLs) {
    const context = react_1.useContext(FetchContext_1.default);
    const requestInitOptions = utils_1.isObject(urlOrOptions)
        ? urlOrOptions
        : utils_1.isObject(optionsNoURLs)
            ? optionsNoURLs
            : {};
    const requestInit = utils_1.pullOutRequestInit(requestInitOptions);
    return Object.assign(Object.assign(Object.assign({}, context.options), requestInit), { headers: Object.assign(Object.assign({ 
            // default content types http://bit.ly/2N2ovOZ
            // Accept: 'application/json',
            'Content-Type': 'application/json' }, (context.options || {}).headers), requestInit.headers) });
}
exports.default = useRequestInit;
//# sourceMappingURL=useRequestInit.js.map